
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name	clthreads
%define version	2.2.1
%define release %mkrel 1

%define major	1
%define libname %mklibname %name %major

%define libver   2.2.1
%define libmajor 2

Summary: Clthreads C++ libraries
Name: 	      %{name}
Version:      %{version}
Release:      %{release}
License: LGPL
Group: System/Libraries
URL: http://users.skynet.be/solaris/linuxaudio/
Source0: http://users.skynet.be/solaris/linuxaudio/downloads/clthreads-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Obsoletes:    classlibs <= 0.0.1

BuildRequires: libx11-devel

%description
Clthreads C++ libraries

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Provides:	%name
Obsoletes:	%name = %version-%release

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel < {version}-%{release}

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%{__perl} -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_includedir}
%{__make} PREFIX=%{buildroot}%{_prefix} install

# create .so.x link
%{__ln_s} libclthreads.so.%{libver} %{buildroot}%{_libdir}/libclthreads.so.%{libmajor}

%clean
%{__rm} -rf %{buildroot}


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.2.1-1
- Rebuild for pclos2007
- 2.2.1

* Mon May 29 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.0-2
- fix library link

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.0
- update to 2.2.0

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- proper build dependencies for fc5

* Tue Dec 28 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanups

* Fri Dec  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1
- updated to 1.0.2

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0

* Wed Jun 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- DOH!, obsolete the -devel package as well...

* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- obsoletes classlibs
- first build

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- moved so file to main package to keep aeolus happy

* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-2
- force apps to link with the major release name of the libraries
  (ie: ".so.0" instead of ".so")

* Tue May  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- initial build, needed for releasing Aeolus
